Bug 843086 - KDE - missing GTK app scroll arrow buttons
KDE - missing GTK app scroll arrow buttons
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: KDE3
Leap 42.3
All Other
: P5 - None : Normal (vote)
: ---
Assigned To: Ilya Chernykh
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 00:45 UTC by Felix Miata
Modified: 2019-07-11 11:02 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
actual appearance (13.1B1/4.11.1) (244.92 KB, image/png)
2013-09-30 00:48 UTC, Felix Miata
Details
expected appearance (12.3/4.10.5) (208.53 KB, image/png)
2013-09-30 00:48 UTC, Felix Miata
Details
host big31 screenshot of Firefox & SeaMonkey on current 13.1/KDE3 (295.77 KB, image/png)
2014-04-14 04:08 UTC, Felix Miata
Details
host hs80e screenshot of Firefox & SeaMonkey on current 13.1/KDE4.11.5 (357.83 KB, image/png)
2014-04-14 04:08 UTC, Felix Miata
Details
host hs80e screenshot of Firefox & SeaMonkey on 13.2m0/KDE4.12.97 (360.11 KB, image/png)
2014-04-14 04:08 UTC, Felix Miata
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Miata 2013-09-30 00:45:46 UTC
Mailing list discussion:
http://lists.opensuse.org/opensuse/2013-09/msg00790.html

I don't use many GTK apps, but on my systems neither Firefox rv24 nor Firefox rv17 nor SeaMonkey rv24 have scroll buttons in 13.1B1 with 4.11.1, while they do in 12.3 with 4.10.5. The only appearance items I ever change from KDE system settings defaults are fonts, except WRT branding package selection.
Comment 1 Felix Miata 2013-09-30 00:48:26 UTC
Created attachment 560754 [details]
actual appearance (13.1B1/4.11.1)
Comment 2 Felix Miata 2013-09-30 00:48:33 UTC
Created attachment 560755 [details]
expected appearance (12.3/4.10.5)
Comment 3 Hrvoje Senjan 2013-09-30 10:04:27 UTC
Felix, do you have kde-gtk-config installed?
Comment 4 Hrvoje Senjan 2013-09-30 15:32:34 UTC
(In reply to comment)
>That info was provided via the attachments that I spent more than half an 
>hour to get right before submitting report. That particular crucial bit I had 
>almost forgotten.

OK, and what about gtk2-engine-oxygen and gtk2-theme-oxygen? As those scrollbars are present with that theme, which i wouldn't say is used looking at your screenshots
Comment 5 Felix Miata 2013-10-01 07:43:31 UTC
To be clear, my installations all begin with a minimal X install, to which I add only as much of either KDE3 or KDE4 as required to have a working X whose menu includes Konqueror, Kcalc, Ksnapshot, Konsole, Kmix and Kinfocenter, plus kde-gtk-config in order to have Mozilla.org software, and sometimes Wireshark and/or Gimp, install and work. I do my best to inhibit installation of portions of GTK/Gnome not absolutely necessary to the operation of the very few apps I run that were built with a GTK toolkit. Other than Mozilla, Gimp and Wireshark, I'm aware of no other GTK apps I use that come from standard repos. Whatever GTK/Gnome stuff was installed either came as dependencies of one of those three, or from something from Packman and/or VideoLAN.

It turns out this problem is not exclusive to KDE4, but also happens in KDE3. Summary fixed.

(In reply to comment #4)
> what about gtk2-engine-oxygen and gtk2-theme-oxygen?

On at least 3 of my 13.1b1 systems, they were not. According to http://www.mozilla.org/en-US/firefox/24.0/system-requirements/ I should only need the following:

    GTK+ 2.18 or higher
    GLib 2.22 or higher
    Pango 1.14 or higher
    X.Org 1.0 or higher (1.7 or higher is recommended)
    libstdc++ 4.3 or higher

I created a script to assist with determining what's installed and might be missing WRT "GTK+ 2.18 or higher" and theming:

  clear
  uname -a
  echo "grep rpm query output to find branding|engine|gtk|kdm|oxygen|them:"
  rpm -qa | grep -i branding | sort
  rpm -qa | grep -i engine | sort
  rpm -qa | grep -i gtk | sort
  rpm -qa | grep -i kdm | grep -v -i settings | sort
  rpm -qa | grep -i oxygen | sort
  rpm -qa | grep -i them | sort

On Fedora 19, the following 10 packages output from it includes all that are required to get the job done:

  Linux big41 3.11.1-300.fc20.x86_64 #1 SMP Sat Sep 14 15:01:23 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
  grep rpm query output to find branding|engine|gtk|kdm|oxygen|theme:
  gtk+-1.2.10-76.fc20.x86_64
  gtk2-2.24.21-1.fc20.x86_64
  kcm-gtk-0.5.3-14.fc20.x86_64
  kdm-4.11.1-3.fc20.x86_64
  oxygen-icon-theme-4.11.1-1.fc20.noarch
  adwaita-cursor-theme-3.10.0-1.fc20.noarch
  heisenbug-kde-theme-19.90.3-1.fc20.noarch
  hicolor-icon-theme-0.12-7.fc20.noarch
  oxygen-icon-theme-4.11.1-1.fc20.noarch
  sound-theme-freedesktop-0.8-3.fc20.noarch

Note the string "branding" appears nowhere in that list.

The same on 13.1b1:
  Linux gx62b 3.11.2-1.g420e19b-desktop #1 SMP PREEMPT Sat Sep 28 16:00:10 UTC 2013 (420e19b) x86_64 x86_64 x86_64 GNU/Linux
  MozillaFirefox-branding-upstream-24.0-2.1.x86_64
  branding-openSUSE-13.1-10.2.3.noarch
  dmz-icon-theme-cursors-11.2.0-14.1.2.noarch
  gfxboot-branding-openSUSE-13.1-10.2.3.noarch
  gio-branding-openSUSE-13.1-2.2.2.noarch
  gnome-icon-theme-3.10.0-1.1.noarch
  gnome-icon-theme-extras-3.6.2-4.1.2.noarch
  gnome-icon-theme-symbolic-3.10.0-1.1.noarch
  grep rpm query output to find branding|engine|gtk|kdm|oxygen|them:
  gtk2-branding-openSUSE-13.1-1.2.noarch
  gtk2-data-2.24.21-1.3.noarch
  gtk2-engine-clearlooks-2.20.2-16.1.3.x86_64
  gtk2-metatheme-adwaita-3.10.0-1.1.noarch
  gtk2-theme-clearlooks-2.20.2-16.1.3.noarch
  gtk2-theming-engine-adwaita-3.10.0-1.1.x86_64
  gtk2-tools-2.24.21-1.3.x86_64
  gtk2-tools-32bit-2.24.21-1.3.x86_64
  gtk3-branding-openSUSE-13.1-2.1.3.noarch
  gtk3-data-3.10.0-1.1.noarch
  gtk3-metatheme-adwaita-3.10.0-1.1.noarch
  gtk3-theming-engine-adwaita-3.10.0-1.1.x86_64
  gtk3-tools-3.10.0-1.1.x86_64
  hicolor-icon-theme-0.12-21.1.2.noarch
  hicolor-icon-theme-branding-openSUSE-13.1-2.1.2.noarch
  kde-gtk-config-2.2.1-2.1.3.x86_64
  kdebase4-runtime-branding-upstream-4.11.1-2.2.2.x86_64
  kdebase4-workspace-branding-upstream-4.11.1-4.2.1.x86_64
  kdebase4-workspace-liboxygenstyle-4.11.1-4.2.1.x86_64
  kdelibs4-branding-upstream-4.11.1-2.1.4.x86_64
  kdm-4.11.1-4.2.1.x86_64
  kdm-branding-upstream-4.11.1-4.2.1.x86_64
  ksplashx-branding-openSUSE-13.1-10.2.3.noarch
  libcanberra-gtk-module-common-0.30-6.1.3.x86_64
  libcanberra-gtk0-0.30-6.1.3.x86_64
  libcanberra-gtk2-module-0.30-6.1.3.x86_64
  libcanberra-gtk3-0-0.30-6.1.3.x86_64
  libcanberra-gtk3-module-0.30-6.1.3.x86_64
  libgtk-2_0-0-2.24.21-1.3.x86_64
  libgtk-2_0-0-32bit-2.24.21-1.3.x86_64
  libgtk-3-0-3.10.0-1.1.x86_64
  libgtkmm-2_4-1-2.24.4-2.1.3.x86_64
  libyui-gtk4-2.42.3-1.1.1.x86_64
  metatheme-adwaita-common-3.10.0-1.1.noarch
  oxygen-icon-theme-4.11.1-2.1.2.noarch
  python-gtk-2.24.0-12.1.3.x86_64
  sound-theme-freedesktop-0.8-5.1.2.noarch
  susegreeter-branding-openSUSE-13.1-10.2.3.noarch
  systemd-presets-branding-openSUSE-0.3.0-3.1.2.noarch
  typelib-1_0-Gtk-2_0-2.24.21-1.3.x86_64
  wallpaper-branding-openSUSE-13.1-10.2.3.noarch
  xcursor-themes-1.0.4-10.2.noarch
  yast2-branding-openSUSE-3.0.0-2.1.2.noarch
  yast2-qt-branding-openSUSE-13.1-10.2.3.noarch
  yast2-theme-openSUSE-3.0.1-1.2.noarch

That host has neither Wireshark nor Gimp installed, with Packman repo not enabled, and nothing from VideoLAN installed. The top menu item is Internet, which contains only Konq and Mozilla products. Next is Multimedia, containing only Kmix. After that come only System, Utilities and Configure Desktop before Favorites and Run Command. Unless CUPS is pulling Gnome/GTK, I see nothing in Utilities or System to explain the inclusion of so many more rpms than Fedora needs to make Mozilla work as expected.

So, in spite of so many gtk/theme/brand/icon packages installed (52 above not counting the yast2s), so many more than in Fedora, and being continually irritated by unfixed bug 732670 (I run 11.4 24/7 and still use FF 3.6.28 among the 6 browsers I keep open nearly all the time), I cannot help but think something is fundamentally wrong with the way theming works for openSUSE users of KDE. If gtk2-engine-oxygen and gtk2-theme-oxygen are the only places Mozilla products can get their UI bits from, why isn't something automatically pulling them in whenever anything GTK is installed?

What's even more perplexing is that the attached screenshots are of a SeaMonkey binary built by mozilla.org, and its profile is using the Modern theme, which is actually an extension provided by default within the base SeaMonkey package. I would think it ought to be using its own widgets, via the "add-on" type theme. Yet, it doesn't matter whether I use openSUSE binaries or Mozilla.org binaries, the scroll buttons are nevertheless missing unless the gtk2-engine-oxygen and gtk2-theme-oxygen packages unnecessary in Fedora are installed.
Comment 6 Felix Miata 2013-10-01 08:54:37 UTC
Note that simply installing gtk2-engine-oxygen and gtk2-theme-oxygen packages was insufficient. Neither was restarting the KDE session. Rebooting did make them effective.

After finding that installing gtk2-engine-oxygen and gtk2-theme-oxygen packages was one solution, I removed them, along with a bit of other gtk/gnome cruft, and replaced gtk[2,3]-branding-openSUSE with gtk[2,3]-branding-upstream, leaving the following (not counting the yasts, 43 total) installed.

  Linux gx62b 3.11.2-1.g420e19b-desktop #1 SMP PREEMPT Sat Sep 28 16:00:10 UTC 2013 (420e19b) x86_64 x86_64 x86_64 GNU/Linux
  grep rpm query output to find branding|engine|gtk|kdm|oxygen|them:
  MozillaFirefox-branding-upstream-24.0-2.1.x86_64
  branding-openSUSE-13.1-10.2.3.noarch
  dmz-icon-theme-cursors-11.2.0-14.1.2.noarch
  gfxboot-branding-openSUSE-13.1-10.2.3.noarch
  gio-branding-openSUSE-13.1-2.2.2.noarch
  gnome-icon-theme-3.10.0-1.1.noarch
  gtk2-branding-upstream-2.24.21-1.3.noarch
  gtk2-data-2.24.21-1.3.noarch
  gtk2-engine-clearlooks-2.20.2-16.1.3.x86_64
  gtk2-metatheme-adwaita-3.10.0-1.1.noarch
  gtk2-theme-clearlooks-2.20.2-16.1.3.noarch
  gtk2-theming-engine-adwaita-3.10.0-1.1.x86_64
  gtk2-tools-2.24.21-1.3.x86_64
  gtk2-tools-32bit-2.24.21-1.3.x86_64
  gtk3-branding-upstream-3.10.0-1.1.noarch
  gtk3-data-3.10.0-1.1.noarch
  gtk3-metatheme-adwaita-3.10.0-1.1.noarch
  gtk3-theming-engine-adwaita-3.10.0-1.1.x86_64
  gtk3-tools-3.10.0-1.1.x86_64
  hicolor-icon-theme-0.12-21.1.2.noarch
  hicolor-icon-theme-branding-openSUSE-13.1-2.1.2.noarch
  kde-gtk-config-2.2.1-2.1.3.x86_64
  kdebase4-runtime-branding-upstream-4.11.1-2.2.2.x86_64
  kdebase4-workspace-branding-upstream-4.11.1-4.2.1.x86_64
  kdebase4-workspace-liboxygenstyle-4.11.1-4.2.1.x86_64
  kdelibs4-branding-upstream-4.11.1-2.1.4.x86_64
  kdm-4.11.1-4.2.1.x86_64
  kdm-branding-upstream-4.11.1-4.2.1.x86_64
  ksplashx-branding-openSUSE-13.1-10.2.3.noarch
  libgtk-2_0-0-2.24.21-1.3.x86_64
  libgtk-2_0-0-32bit-2.24.21-1.3.x86_64
  libgtk-3-0-3.10.0-1.1.x86_64
  libgtkmm-2_4-1-2.24.4-2.1.3.x86_64
  libyui-gtk4-2.42.3-1.1.1.x86_64
  metatheme-adwaita-common-3.10.0-1.1.noarch
  oxygen-icon-theme-4.11.1-2.1.2.noarch
  python-gtk-2.24.0-12.1.3.x86_64
  sound-theme-freedesktop-0.8-5.1.2.noarch
  susegreeter-branding-openSUSE-13.1-10.2.3.noarch
  systemd-presets-branding-openSUSE-0.3.0-3.1.2.noarch
  typelib-1_0-Gtk-2_0-2.24.21-1.3.x86_64
  wallpaper-branding-openSUSE-13.1-10.2.3.noarch
  xcursor-themes-1.0.4-10.2.noarch
  yast2-branding-openSUSE-3.0.0-2.1.2.noarch
  yast2-qt-branding-openSUSE-13.1-10.2.3.noarch
  yast2-theme-openSUSE-3.0.1-1.2.noarch

Even after rebooting, the buttons remain in both Firefox and SeaMonkey. This leads me to believe that gtk[2,3]-branding-openSUSE is the likely primary cause of the missing buttons rather than absence of gtk2-engine-oxygen and gtk2-theme-oxygen.
Comment 7 Felix Miata 2014-04-14 04:08:07 UTC
Created attachment 586149 [details]
host big31 screenshot of Firefox & SeaMonkey on current 13.1/KDE3
Comment 8 Felix Miata 2014-04-14 04:08:19 UTC
Created attachment 586150 [details]
host hs80e screenshot of Firefox & SeaMonkey on current 13.1/KDE4.11.5
Comment 9 Felix Miata 2014-04-14 04:08:27 UTC
Created attachment 586151 [details]
host hs80e screenshot of Firefox & SeaMonkey on 13.2m0/KDE4.12.97
Comment 10 Guenter Grau 2014-06-25 20:51:17 UTC
Thank you, Felix!
I spent many hours misconfiguring my OpenSuse 12.3/KDE3.5 system just to get these buttons back, with no success. Instlling kde-gtk*, change themes, styles, .gtkrc*, all did nothing to the missing arrows.

Uninstalling the gtk[2,3]-branding-openSUSE through yast and logging in again
brought the scrollbar arrow buttons back in Firefox and Thunderbird. I didn't see any other application using the strange scrollbar style...thus for me it solved the problem. The branding stuff seems to be broken (can't imagine this happened by design).
Comment 11 Guenter Grau 2014-09-28 15:18:48 UTC
After upgrading to Suse 13.1 and doing some online updates the plague was back, IMHO worse than before. Beside missing arrows for scroll bars in some applications, the behavior when clicking in the bar area changed from "page up/dn" to "jump to position" in an unpredictable manner (different for several applications).

From the previous fix the gtk*branding*suse packets were still missing. 
Changing themes etc. did nothing. E.g. KDE classic, Oxygen etc.

Now I also removed the gtk*branding*sled packets and, because the name popped up somewhere else, I removed everything related to adwaita. After logging in again the problem is gone again...I hope forever!

Not fixing this issue eats my time and nerves...but fixing it also needs time. I really don't like to waste my time with screen cosmetics. That's why I still stick to KDE3. Whoever changed the scrollbars for whatever reason, did you ever work with a long text, pdf or lists, maybe even on a laptop? :-/ How can such changes find their way into an existing configuration? I wouldn't mind if I actively have to switch to a theme "unusual HMI". Enough ranting...
Comment 12 Felix Miata 2015-02-03 09:55:28 UTC
Over the weekend I migrated my main 11.4/KDE3 system to 13.1/KDE3 via new installation and saved /home. The choices in the GTK styles and fonts panel of personal settings are now: Adwaita, QT, QTcurve, Raleigh, Sonar & Oxygen GTK. None of them that produce Firefox menu icons with any colors except red, white or black (plus one tiny yellow spot on the new tab icon) also produce scrollbar icons in Firefox 28 and 10 and current SeaMonkey. So I must choose between scrollbars that function correctly, and barely visible Firefox icons that look like anything but image outlines. Currently I have kde3-gtk-qt-engine, but after seeing scrollbar icons missing with kde3-kcm_gtk I switched without first trying alternate GTK theme selections. rpm -qa | grep gtk produces the following:

PackageKit-gtk3-module-0.8.11-2.3.1.i586
at-spi2-atk-gtk2-2.10.2-12.1.i586
gtk2-branding-openSUSE-13.1-6.3.noarch
gtk2-data-2.24.23-7.1.noarch
gtk2-engine-murrine-0.98.2-6.1.3.i586
gtk2-engine-oxygen-1.4.4-2.8.1.i586
gtk2-metatheme-adwaita-3.10.0-1.1.noarch
gtk2-metatheme-sonar-11.3.0-24.1.2.noarch
gtk2-theme-oxygen-1.4.4-2.8.1.i586
gtk2-theming-engine-adwaita-3.10.0-1.1.i586
gtk2-tools-2.24.23-7.1.i586
gtk3-branding-openSUSE-13.1-2.14.3.noarch
gtk3-data-3.10.9-18.1.noarch
gtk3-metatheme-adwaita-3.10.0-1.1.noarch
gtk3-theming-engine-adwaita-3.10.0-1.1.i586
gtk3-tools-3.10.9-18.1.i586
kde3-gtk-qt-engine-0.8svn20071009-64.1.i586
libcanberra-gtk-module-common-0.30-6.1.3.i586
libcanberra-gtk0-0.30-6.1.3.i586
libcanberra-gtk2-module-0.30-6.1.3.i586
libcanberra-gtk3-0-0.30-6.1.3.i586
libcanberra-gtk3-module-0.30-6.1.3.i586
libgtk-2_0-0-2.24.23-7.1.i586
libgtk-3-0-3.10.9-18.1.i586
libgtkmm-2_4-1-2.24.4-2.1.3.i586
libjavascriptcoregtk-3_0-0-2.2.7-10.1.i586
python-gtk-2.24.0-12.1.3.i586
qtcurve-gtk2-1.8.16-2.8.1.i586
Comment 13 Robby Engelmann 2015-11-05 16:41:33 UTC
for gtk-apps breeze-gtk is set as standard and gives a reasonable feeling for me icluding scroll arrow buttons in recent firefox. Thus I will close this bug.
Feel free to reopen, if any issues in gtk-apps reappear.
Comment 14 Felix Miata 2015-12-28 07:09:32 UTC
I essentially repeated comment 12, old home, old 13.1 (32 bit), new 42.1 (64 bit). With KDE set to use Adwaita for GTK styles, buttons are all missing. I had to switch to Oxygen to get them back.

No *reeze* packages are installed, or will be here. Breeze is the least usable DE theme I can recall encountering in the past decade using FOSS.
Comment 15 Felix Miata 2016-08-25 06:34:10 UTC
In TW/KDE3 on host hpg33, GTK2 builds of Firefox and SeaMonkey have scroll buttons where they belong in Adwaita, Raleigh and Oxygen-gtk, and in 42.1/Plasma with Oxygen look & feel, whether from mozilla.org or openSUSE rpm.

In 42.1/KDE3 on host gx745, GTK2 builds of Firefox and SeaMonkey have scroll buttons missing in Adwaita, present using KDE style, Raleigh and Oxygen-gtk. On same host's TW/Plasma with Oxygen look & feel, scroll buttons are missing.

https://bugzilla.mozilla.org/show_bug.cgi?id=1269145 (missing buttons) and
https://bugzilla.mozilla.org/show_bug.cgi?id=1269274 (UI text sizes not inherited from DE)
apply to GTK3 builds provided by mozilla.org in 42.1 and TW, in both KDE3, and in Plasma. Largely because of these, I haven't looked to see if openSUSE is providing GTK3 builds of anything for 42.1 or TW yet.
Comment 16 Felix Miata 2017-03-14 00:19:47 UTC
Yesterday I did a TW update on 32-bit host gx260. Now the buttons are gone in GTK2 builds regardless of GTK style selected in desktop settings:
https://lists.opensuse.org/opensuse-kde3/2017-03/msg00001.html

I did find a kludgy solution for restoring buttons in GTK3 builds. Create file ~/.config/gtk-3.0/gtk.css if it does not exist, otherwise include in it, the following:

*{
-GtkScrollbar-has-backward-stepper: 1;
-GtkScrollbar-has-forward-stepper: 1;
-GtkScrollbar-has-secondary-backward-stepper: 1;
-GtkRange-stepper-size: 16;
}

Source: https://developer.gnome.org/gtk3/stable/GtkScrollbar.html
Comment 17 Ilya Chernykh 2017-03-14 00:48:50 UTC
Why it gets reassigned to me? Stop spamming me.
Comment 18 Felix Miata 2017-03-24 04:22:01 UTC
Replacing the original /etc/gtk-2.0/gtkrc with the following seems to get the job done for GTK2 builds:

# gtkrc file allows you to define system wide defaults for all GTK+ applications.
# This file is branding specific.
#
# For complete list of available settings see devhelp documentation in
# gtk2-doc package, section GTK+ Core Reference -> Resource Files
#
# This is a default for openSUSE:
#gtk-theme-name = "Adwaita"
gtk-icon-theme-name = "Adwaita"
gtk-fallback-icon-theme = "hicolor"

style "scrollbar-style" {
    GtkScrollbar::has-backward-stepper = 1
    GtkScrollbar::has-forward-stepper = 1
    GtkScrollbar::has-secondary-backward-stepper = 1
}

class "GtkScrollbar"	style	"scrollbar-style"


Whether it will survive system updates remains to be determined.
Comment 19 Felix Miata 2017-07-03 07:22:20 UTC
In 42.3 just updated on host p5bse, which has none of the special configuration of comment 16 or 18 and Adwaita selected for GTK(2), Firefox ESR rv52 from mozilla.org (GTK3), Firefox ESR from mozilla.org 45.9 (GTK2) and SeaMonkey rv52 (contributed by frg 2.49.1x) specially built with GTK2 for testing email fixes since 2.46 release all have no scrollbar icons.

As to FF 52 and other GTK3 apps a new bug is probably needed due to lack of support in KControl.
Comment 20 Tomáš Chvátal 2019-07-11 11:02:03 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime